- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# FbxProceduralTexture Class Reference

This reference page is linked to from the following overview topics: Meshes, Materials and Textures.

Search for all occurrences

## Detailed Description

Contains the information to generate a texture procedurally.

Data information for the texture generation is contained in a blob property.

See also:
  FbxTexture

Examples:

  ImportScene/DisplayMaterial.cxx, ImportScene/DisplayTexture.cxx, and ProceduralTexture/main.cxx.

Definition at line 27 of file fbxproceduraltexture.h.

`#include <fbxproceduraltexture.h>`

Inheritance diagram for FbxProceduralTexture:
[legend]

List of all members.

## Public Member Functions
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
bool | operator== (FbxProceduralTexture const &pTexture) const
## Protected Member Functions
| FbxProceduralTexture (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxProceduralTexture *pFrom)
virtual bool | ConstructProperties (bool pForceSet)
void | Init ()
## Procedural Texture Properties
FbxPropertyT< FbxBlob > | BlobProp
| This property handles the raw data for generating procedural texture.
void | Reset ()
| Resets the default procedural texture values.
## Property Access Methods
void | SetBlob (FbxBlob &pBlob)
| Sets the blob.
FbxBlob | GetBlob () const
| Get the blob.

## Constructor & Destructor Documentation

FbxProceduralTexture | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

void Reset | ( |  | ) | `[virtual]`

Search for all occurrences

Resets the default procedural texture values.

Reimplemented from FbxTexture.

void SetBlob | ( | FbxBlob & | pBlob | ) |

Search for all occurrences

Sets the blob.

Parameters:

  pBlob | Blob containing information for the procedural texture

Examples:
  ProceduralTexture/main.cxx.

FbxBlob GetBlob | ( |  | ) | const

Search for all occurrences

Get the blob.

Returns:
  Blob containing information for the procedural texture

Examples:
  ProceduralTexture/main.cxx.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxTexture.

bool operator== | ( | FbxProceduralTexture const & | pTexture | ) | const

virtual void Construct | ( | const FbxProceduralTexture * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxTexture.

void Init | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented from FbxTexture.

## Member Data Documentation

FbxPropertyT<FbxBlob> BlobProp

Search for all occurrences

This property handles the raw data for generating procedural texture.

Definition at line 39 of file fbxproceduraltexture.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxproceduraltexture.h

FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture
FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture FbxProceduralTexture